using System;
using System.Net;
using System.Net.Sockets;
using Server;
using Server.Network;

namespace Server
{
	public class SocketOptions
	{
		public static void Initialize()
		{
			NetState.CreatedCallback = new NetStateCreatedCallback( NetState_Created );
		}

		public static void NetState_Created( NetState ns )
		{
			//try
			{
				Socket s = ns.Socket;

				s.SetSocketOption( SocketOptionLevel.Socket, SocketOptionName.ReceiveTimeout, 15000 );
				s.SetSocketOption( SocketOptionLevel.Socket, SocketOptionName.SendTimeout, 15000 );
				s.SetSocketOption( SocketOptionLevel.Tcp, SocketOptionName.NoDelay, 1 ); // RunUO uses its own algorithm
			}
			//catch
			{
			}
		}
	}
}